@model EpiTicket.Models.Association

@{
    ViewData["Title"] = "Gestion de l'association";
}

<h1>Gestion de @Model.Name</h1>


<div>
    <a asp-action="Edit" asp-route-id="@Model.AssociationId">Modifier l'association</a> |
    <a asp-action="Index">Retourner à la liste des associations</a>
    <hr />
</div>

<!-- Liste des Users de l'association -->
<a asp-action="AddMembership" asp-route-id="@Model.AssociationId">Ajouter un membre de l'association</a>
@if (Model.Memberships != null)
{
    <div>
        <hr />
        <h4>Liste des membres de votre association</h4>
        <table class="table">
            <thead>
                <tr>
                    <th>
                        Nom
                    </th>
                    <th>
                        Rôle
                    </th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model.Memberships)
                {
                    <tr>
                        <td>
                            @item.User.UserName
                        </td>
                        <td>
                            Rôle du user
                        </td>
                        <td>
                            <a asp-action="DeleteMembership" asp-route-id="@item.MembershipId">Supprimer le membre de l'association</a>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
}

<!-- Liste des Events de l'association -->
<a asp-controller="Event" asp-action="Create">Ajouter un événement organisé par l'association</a>
@if (Model.Events != null)
{
    <div>
        <hr />
        <h4>Liste des événements de votre association</h4>
        <table class="table">
            <thead>
                <tr>
                    <th>
                        Nom
                    </th>
                    <th>
                        Prix
                    </th>
                    <th>
                        Date
                    </th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model.Events)
                {
                    <tr>
                        <td>
                            <a asp-controller="Event" asp-action="Details" asp-route-id="@item.EventId">@Html.DisplayFor(modelItem => item.Name)</a>
                        </td>
                        <td>
                            @item.Price€
                        </td>
                        <td>
                            Le @String.Format("{0:dd/MM/yyyy}", item.StartDate) à @String.Format("{0:HH:mm}", item.StartDate)
                        </td>
                        <td>
                            <a asp-controller="Event" asp-action="Edit" asp-route-id="@item.EventId">Modifier l'événement</a> |
                            <a asp-controller="Event" asp-action="Delete" asp-route-id="@item.EventId">Supprimer l'événement</a>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
}